﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace CardView118708Sample
{
    public class ViewModel : INotifyPropertyChanged
    {

        public ViewModel()
        {
           Coll = new ObservableCollection<Model>();
           Coll.Add(new Model() { Header = "NewEmail",Description="Create New Item" });
           Coll.Add(new Model() { Header = "NewEmail", Description = "Create New Item" });
           Coll.Add(new Model() { Header = "NewItems",Description="Create a new item such as Meeting or contact" });
           Coll.Add(new Model() { Header = "Ignore",Description="Ignore Conversation" });
           Coll.Add(new Model() { Header = "Delete",Description="Delete this item"});
           Coll.Add(new Model() { Header = "Forward",Description="Forward this item to someone else" });
           Coll.Add(new Model() { Header = "Reply",Description="Reply to the sender of the message" });
           Coll.Add(new Model() { Header = "Reply", Description = "Reply to the sender of the message" });

           Coll.Add(new Model() { Header = "ReplyAll",Description="Reply Sender and all of the receipients" });
            

        }
        private ObservableCollection<Model> coll;

        public ObservableCollection<Model>Coll
        {
            get { return coll; }
            set { coll = value; }
        }

        private Model selecteditem;

        public Model SelectedItem
        {
            get { return selecteditem; }
            set
            {
                selecteditem = value;
                OnPropertyChanged(new PropertyChangedEventArgs("SelectedItem"));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(PropertyChangedEventArgs e)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, e);
            }
        }
    }
}
